<?php
function wp_migration_yuzu_tabBlock($tabs=array())
{
	//	$type:tab		:ボタン左寄せ
	//	$type:Stretch	:ボタン幅伸縮
	//	$type:accordion	:アコーディオン
	//	$type:Horizontal:ボタン横
	//	$type:slide		:スライド

	$type = $tabs['command'];
	
	//ボタン左寄せ
	if($type=='tab' || $type==''){
		$html = wp_migration_yuzu_tabBlock_HTML_tab($tabs);
	
	//ボタン幅伸縮
	}elseif($type=='stretch'){
		$html = wp_migration_yuzu_tabBlock_HTML_stretch($tabs);
	
	//アコーディオン
	}elseif($type=='accordion'){
		$html = wp_migration_yuzu_tabBlock_HTML_accordion($tabs);

	//ボタン横
	}elseif($type=='horizontal'){
		$html = wp_migration_yuzu_tabBlock_HTML_horizontal($tabs);

	//スライド
	}elseif($type=='slide'){
		$html = wp_migration_yuzu_tabBlock_HTML_slide($tabs);
		
	//No Order
	}else{
		return('type order error.');
	}
	$tabBlock = $html;
	return($tabBlock);
}
function wp_migration_yuzu_tabBlock_HTML_tab($tabs=array())
{
	// tab

	$html = '';
	$html.= '<div class="tab-wrap">';
	$no = 0;
	foreach($tabs['field'] as $tb){
		$no++;
		$checked='';
		if($no==1){
			$checked='checked';
		}
		$onClick = '';
		if(isset($tb['OnClick']) ){
			$onClick = ' OnClick="'.$tb['OnClick'].';"';
		}
		$vno = sprintf("%02d",$no);
		$html.='<input id="TAB-'.$vno.'" type="radio" name="TAB" class="tab-switch"'.$checked.$onClick.' />';
		$html.='<label class="tab-label" for="TAB-'.$vno.'">'.$tb['name'].'</label>';
		$html.='<div class="tab-content">';
		$html.=$tb['inner'];
		$html.='</div>';
	}
	$html.= '</div>';
	if($tabs['css']!='none'){
		$charcolor = $tabs['charcolor'];
		$basecolor = $tabs['basecolor'];
		$darkcolor = $tabs['darkcolor'];
		$html.= <<<EOM
<style>
.tab-wrap {
    display: flex;
    flex-wrap: wrap;
}
.tab-label {
    color: $charcolor;
    background: $basecolor;
    margin-right: 5px;
    padding: 3px 12px;
    order:-1;
}
.tab-content {
    width: 100%;
    display: none;
}
.tab-switch:checked+.tab-label {
    background: $darkcolor;
}
.tab-switch:checked+.tab-label+.tab-content {
    display: block;
}
.tab-switch {
    display: none !important;
}
</style>
EOM;
	}
	return($html);
}
function wp_migration_yuzu_tabBlock_HTML_stretch($tabs=array())
{
	// stretch
	$html = '';
	$html.='<div class="tab-wrap">';
	$no = 0;
	foreach($tabs['field'] as $tb){
		$no++;
		$checked='';
		if($no==1){
			$checked='checked';
		}
		$vno = sprintf("%02d",$no);
		$html.='<input id="TAB-'.$vno.'" type="radio" name="TAB" class="tab-switch"'.$checked.' />';
		$html.='<label class="tab-label" for="TAB-'.$vno.'">'.$tb['name'].'</label>';
		$html.='<div class="tab-content">';
		$html.=$tb['inner'];
		$html.='</div>';
	}
	$html.= '</div>';
	if($tabs['css']!='none'){
		$charcolor = $tabs['charcolor'];
		$basecolor = $tabs['basecolor'];
		$darkcolor = $tabs['darkcolor'];
		$html.= <<<EOM
<style>
.tab-wrap {
  display: flex;
  flex-wrap: wrap;
  margin:20px 0;
}
.tab-wrap:after {
  content: '';
  width: 100%;
  height: 3px;
  background: $darkcolor;
  display: block;
  order: -1;
}
.tab-label {
  color: $charcolor;
  background: $basecolor;
  font-weight: bold;
  text-shadow: 0 -1px 0 rgba(0,0,0,.2);
  white-space: nowrap;
  text-align: center;
  padding: 10px .5em;
  order: -1;
  position: relative;
  z-index: 1;
  cursor: pointer;
  border-radius: 5px 5px 0 0;
  flex: 1;
}
.tab-label:not(:last-of-type) {
  margin-right: 5px;
}
.tab-content {
  width: 100%;
  height: 0;
  overflow: hidden;
  opacity: 0;
}
/* アクティブなタブ */
.tab-switch:checked+.tab-label {
  background: $darkcolor;
}
.tab-switch:checked+.tab-label+.tab-content {
  height: auto;
  overflow: auto;
  padding: 15px;
  opacity: 1;
  transition: .5s opacity;
  box-shadow: 0 0 3px rgba(0,0,0,.2);
}
/* ラジオボタン非表示 */
.tab-switch {
  display: none !important;
}
</style>
EOM;
	}
	return($html);
}
function wp_migration_yuzu_tabBlock_HTML_accordion($tabs=array())
{
	// accordion
	$html = '';
	$html.='<div class="tab-wrap">';
	$no = 0;
	foreach($tabs['field'] as $tb){
		$no++;
		$checked='';
		if($no==1){
			$checked='checked';
		}
		$vno = sprintf("%02d",$no);
		$html.='<input id="TAB-'.$vno.'" type="radio" name="TAB" class="tab-switch"'.$checked.' />';
		$html.='<label class="tab-label" for="TAB-'.$vno.'">'.$tb['name'].'</label>';
		$html.='<div class="tab-content">';
		$html.=$tb['inner'];
		$html.='</div>';
	}
	$html.= '</div>';
	if($tabs['css']!='none'){
		$charcolor = $tabs['charcolor'];
		$basecolor = $tabs['basecolor'];
		$darkcolor = $tabs['darkcolor'];
		$html.= <<<EOM
<style>
.tab-label {
  color: $charcolor;
  background: $basecolor;
  font-weight: bold;
  text-shadow: 0 -1px 0 rgba(0,0,0,.2);
  margin-bottom: -1px;
  padding: 10px .5em;
  border: 1px solid rgba(0,0,0,.2);
  cursor: pointer;
  display: block;
}
.tab-label:before {
  content: '▼';
  margin-right: .2em;
  display:inline-block;
  transform:rotate(-90deg);
}
.tab-switch:checked+.tab-label:before {
  transform:rotate(0);
}
.tab-content {
  height: 0;
  padding: 0 15px;
  overflow: hidden;
  opacity: 0;
}
/* アクティブなタブ */
.tab-switch:checked+.tab-label {
  background: $darkcolor;
}
.tab-switch:checked+.tab-label+.tab-content {
  height: auto;
  overflow: auto;
  margin-bottom: -1px;
  padding: 15px;
  opacity: 1;
  transition: .5s;
  border: 1px solid $basecolor;
}
/* ラジオボタン非表示 */
.tab-switch {
  display: none !important;
}
</style>
EOM;
	}
	return($html);
}
function wp_migration_yuzu_tabBlock_HTML_horizontal($tabs=array())
{
	// horizontal
	$html = '';
	$html.='<div class="tab-wrap">';
	$no = 0;
	foreach($tabs['field'] as $tb){
		$no++;
		$checked='';
		if($no==1){
			$checked='checked';
		}
		$vno = sprintf("%02d",$no);
		$html.='<input id="TAB-'.$vno.'" type="radio" name="TAB" class="tab-switch"'.$checked.' />';
		$html.='<label class="tab-label" for="TAB-'.$vno.'">'.$tb['name'].'</label>';
		$html.='<div class="tab-content">';
		$html.=$tb['inner'];
		$html.='</div>';
	}
	$html.= '</div>';
    
	if($tabs['css']!='none'){
		$charcolor = $tabs['charcolor'];
		$basecolor = $tabs['basecolor'];
		$darkcolor = $tabs['darkcolor'];
		$html.= <<<EOM
<style>
/*
html, body {
  height: 100%;
}
body {
  margin: 0;
  padding: 10px;
}
* {
  box-sizing: border-box;
}
*/
.tab-wrap {
  height: 100%;
  min-height: 300px;
  display: flex;
  flex-wrap: wrap;
  flex-direction: column;
}
.tab-label {
  width: 150px;
  color: $charcolor;
  background: $basecolor;
  font-weight: bold;
  white-space: nowrap;
  text-align: center;
  border:1px solid Gray;
  border-radius: 4px 0 0 4px;
  margin: 5px -1px 5px 1px;
  padding: 10px .5em;
  order: -1;
  position: relative;
  z-index: 1;
  cursor: pointer;
  float:left;
}
.tab-content {
  display:none;
}
/* アクティブなタブ */
.tab-switch:checked+.tab-label {
  color: Gray;
  background: $charcolor;
  border-right-color: $charcolor;
}
.tab-switch:checked+.tab-label+.tab-content {
  width: calc(100% - 150px); /* - ボタン幅 */
  height: 100%;
  padding: 15px;
  border-left: 1px solid Gray;
  display:block;
}
/* ラジオボタン非表示 */
.tab-switch {
  display: none !important;
}
</style>
EOM;
	}
	return($html);
}
?>
